<?php

define("_SITE_", 1);

require_once ('../../Core/Core.php');

userCheckAuthorization();

$userId = (!empty($_GET['userId']) ? filterInt($_GET['userId']) : null);

if (empty($userId) || !is_numeric($userId)) 
{
	htmlError('Пользователь не найден.', 'user');
} 
else 
{
	$profile = DB::$dbs->queryFetch("SELECT * FROM ". USERS ." WHERE `id` = ?", [$userId]);

	if (empty($profile)) 
	{
		htmlError('Пользователь не найден.', 'user');
	} 
	else 
	{
		?>

<div class="ContentHeader">
	<?=filterOutput($profile['login'])?>
</div>

<div class="ContentBlock">
	<div style="text-align: center;max-width: 100%;">
		<img src="" width="250" height="250" alt="Avatar" title="Аватар пользователя">
	</div>
	Вывод онлайна<br/>
	<?=($profile['id'] != $User['id'] ? '<a href="'. HOME .'/page/profile/settings/" class="TouchLink"> Написать сообщение</a>' : null)?>
</div>

<div class="ContentHeader">
	Личные данные
</div>

<div class="ContentBlock">
	Имя: <?=filterOutput($profile['name'])?><br/>
	Фамилия: <?=filterOutput($profile['surname'])?><br/>
	Пол: <?=(!empty($profile['sex']) ? 'Мужской' : 'Женский')?><br/>
	Дата рождения:<br/>
	Дата регистрации: <?=htmlTime($profile['registrationTime'])?><br/>
	Последнее действие: <?=htmlTime($profile['online'])?><br/>
</div>

<div class="ContentHeader">
	Активность
</div>

<div class="ContentBlock">
	Рейтинг:<br/>
	Репутация:<br/>
	Клики: <?=filterInt($profile['click'])?><br/>
</div>

		<?php
	}
}

htmlFooter();