<?php

define("_SITE_", 1);

require_once("../Core/Core.php");

if (empty($_GET['id'])) 
{
	htmlError('Сайт не найден.', 'user');
} 
else if (empty($_GET['token'])) 
{
	htmlError('Сайт не найден.', 'user');
} 
else 
{
	$siteId = filterInt($_GET['id']);
	$token	= filterOutput($_GET['token']);

	$site 	= DB::$dbs->queryFetch("SELECT * FROM ". SITES ." WHERE `id` = ? and `token` = ? and `status` = ?", [$siteId, $token, 1]);

	if (empty($site)) 
	{
		htmlError('Сайт не найден.', 'user');
	}  
	else 
	{
		if (!empty($User)) 
		{
			if ($User['clickCooldown'] > time()) 
			{
				htmlError('Не так быстро! Между переходами надо отдохнуть ~10сек.', 'user');
			} 
			else 
			{
				$userClick = DB::$dbs->queryFetch("SELECT `id` FROM ". CLICK ." WHERE `siteId` = ? and `userId` = ?", [$site['id'], $User['id']]); 

				if (!empty($userClick)) 
				{
					htmlError('Вы сегодня уже переходили на этот сайт.', 'user');
				} 
				else 
				{
					DB::$dbs->query("UPDATE ". SITES ." SET `click` = ?, `clickHot` = ? WHERE `id` = ?", [($site['click'] + 1), ($site['clickHot'] + 1), $site['id']]);
					DB::$dbs->query("UPDATE ". USERS ." SET `click` = ?, `clickCooldown` = ? WHERE `id` = ?", [($User['click'] + 1), (time() + 10), $User['id']]);
					DB::$dbs->query("INSERT INTO ". CLICK ." (`userId`, `time`, `siteId`) VALUES (?, ?, ?)", [$User['id'], time(), $site['id']]);

					header("Location: ". filterOutput($site['uri']));
				}
			}
		} 
		else 
		{ 
			if ($_SESSION['timer'] > $_SERVER['REQUEST_TIME']) 
			{
				htmlError('Не так быстро! Между переходами надо отдохнуть ~10сек.', 'user');
			} 
			else 
			{
				DB::$dbs->query("UPDATE ". SITES ." SET `click` = ?, `clickHot` = ? WHERE `id` = ?", [($site['click'] + 1), ($site['clickHot'] + 1), $site['id']]);
				$_SESSION['timer'] = $_SERVER['REQUEST_TIME'] + 10;

				header("Location: ". filterOutput($site['uri']));
			}
		}
	}
}

htmlFooter();