<?php

define("_SITE_", 1);

require_once("../../Core/Core.php");

userCheckAuthorization();

if (empty($_GET['id'])) 
{
	htmlError('Площадка не найдена.', 'user');
} 
else 
{
	$siteId = filterInt($_GET['id']);
	$site 	= DB::$dbs->queryFetch("SELECT * FROM ". SITES ." WHERE `id` = ?", [$siteId]);

	if (empty($site)) 
	{
		htmlError('Площадка не найдена.', 'user');
	}  
	else 
	{
		if ($site['userId'] != $User['id']) 
		{
			htmlError('Вы не являетесь владельцем данной площадки.', 'user');
		} 
		else 
		{
			if (isset($_POST['try'])) 
			{
				$data = $_POST;

				if ($data['token'] != $User['token']) 
				{
					htmlError('Во время выполнения запроса возникла ошибка, попробуйте еще раз и если она повторится, обратитесь в поддержку.', 'user');
				}
				else 
				{
					DB::$dbs->query("DELETE FROM ". SITES ." WHERE `id` = ?", [$siteId]);
					htmlSuccess('Сайт успешно удален!');
					header("Refresh: 3 ". HOME ."/");
				}
			} 

			if (isset($_POST['abort'])) 
			{
				header("Location: ". HOME ."/Pages/SiteManager/");
				exit();
			}

			?>

			<div class="ContentBlock" style="text-align: center;">
				<form action="" method="POST">
					Вы действительно хотите удалить площадку №<?=$site['id']?>?<br/>
					<input type="hidden" name="token" value="<?=$User['token']?>">
					<input type="submit" name="try" value="Да"> <input type="submit" name="abort" value="Нет">
				</form>
			</div>

			<div class="InformationBlock">
				<?=htmlIcon('!')?> После нажатия на кнопку "Да", площадка будет удалена.<br/>
				<?=htmlIcon('!')?> После удаления площадка не может быть восстановлена.
			</div>

			<?php
		}
	}
}

htmlFooter();