<?php

define("_SITE_", 1);

require_once("../../Core/Core.php");

userCheckAuthorization();

?>

<div class="ContentBlock">
	<a href="<?=HOME?>/Pages/SiteManager/Create" class="TouchLink"> <?=htmlIcon('link')?>Создать площадку</a>
</div>

<div class="ContentHeader">
	Мои площадки
</div>

<?php

$all = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". SITES ." WHERE `userId` = ? ORDER BY `click`", [$User['id']]);

if (empty($all)) 
{
	htmlError('У вас еще нет активных площадок.', 'user');
} 
else 
{
	$n 		= new Navigator($all,10,'');
	$sql 	= DB::$dbs->query("SELECT * FROM ". SITES ." WHERE `userId` = ? ORDER BY `click` LIMIT {$n->start()}, 10", [$User['id']]); 

	?>

<div class="ContentBlock">

	<?php 

	while($site = $sql -> fetch()) 
	{
		?>

	<div class="TouchLink">
		<a href="<?=HOME?>/Pages/Sites/Info?id=<?=filterInt($site['id'])?>"> <?=filterOutput($site['name'])?> <?=($site['status'] == 1 ? '<span style="color: #118D73;">[on]</span>' : '<span style="color: #B33C38;">[off]</span>')?> <?=htmlIcon('chart');?> <?=filterInt($site['click'])?></a>
		<span class="Count"> 
			<a href="<?=HOME?>/Pages/SiteManager/Configuration?id=<?=filterInt($site['id'])?>"> <?=htmlIcon('conf')?></a>
			<a href="<?=HOME?>/Pages/SiteManager/Delete?id=<?=filterInt($site['id'])?>"> <?=htmlIcon('trash')?></a>
		</span>
	</div>

		<?php
	}

	echo $n->navi();

	?>

</div>

	<?php
}

htmlFooter();