<?php

define("_SITE_", 1);

require_once("../../Core/Core.php");

userCheckAuthorization();

if (empty($_GET['id'])) 
{
	htmlError('Сайт не найден.', 'user');
} 
else 
{
	$siteId = filterInt($_GET['id']);

	$site 	= DB::$dbs->queryFetch("SELECT * FROM ". SITES ." WHERE `id` = ?", [$siteId]);

	if (empty($site)) 
	{
		htmlError('Сайт не найден.', 'user');
	}  
	else 
	{
		if ($site['status'] == 0) 
		{
			htmlError('Данный сайт заблокирован или находится на модерации.', 'user');
		} 
		else 
		{
			//$ratingPlus 	= DB::$dbs->querySingle("SELECT SUM(`plus`) FROM ". RATING ." WHERE `siteId` = ?", [$site['id']]);
			//$ratingMinus 	= DB::$dbs->querySingle("SELECT SUM(`minus`) FROM ". RATING ." WHERE `siteId` = ?", [$site['id']]);
			$ratingPlus = 2; 
			$ratingMinus = 0;
			$ratingSum = $ratingPlus + $ratingMinus;
			$ratingPercent = ($ratingSum != 0 ? round($ratingPlus * 100 / $ratingSum) : 100);

			?>

<div class="ContentBlock" style="text-align: center;">
	<img src="http://mini.s-shot.ru/240x320/?<?=filterOutput($site['uri'])?>" width="240px" height="320px" alt="[screen]" title="Скриншот сайта">
</div>

<div class="ContentBlock">
	<b>Название:</b> <?=filterOutput($site['name'])?><br/>
	<b>Адрес:</b> <?=filterOutput($site['uri'])?><br/>
	<b>Описание:</b><br/> <?=filterOutput($site['about'])?><br/>
	<b>Кликов:</b> <?=filterOutput($site['click'])?><br/>
	<b>Рейтинг:</b> За:<span style="color: green;"><?=$ratingPlus?></span>/Против:<span style="color: red;"><?=$ratingMinus?></span><br/>
	<div class="SiteRating">
		<div class="SiteRatingString" style="width: <?=$ratingPercent?>%;">
		</div>
	</div> 
	<b>Опубликовал:</b> <?=userLink($site['userId'])?><br/>
</div>

			<?php
		}
	}
}

?> 

<div class="ContentBlock">
	<a href="<?=HOME?>/Pages/Sites/" class="TouchLink"> <?=htmlIcon('link')?> Каталог сайтов</a>
</div>

<?php

htmlFooter();